Name:           storaged
Version:        0.3.0
Release:        %mkrel 4
Summary:        Extended storage management DBus service

# The daemon and tools are licensed under the GPLv2 (or later) and libraries are
# licensed under LGPLv2 (or later).
License:        GPLv2+ and LGPLv2+
Group:          System/Libraries
URL:            https://github.com/cockpit-project/storaged
Source0:        https://github.com/cockpit-project/%{name}/archive/%{version}.tar.gz

BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(lvm2app)
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  intltool
BuildRequires:  systemd
BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
This is a DBus service that provides management of extended
storage options, currently only LVM.

This is an extension to udisks2.


%prep
%setup -q
# NOCONFIGURE=1 because otherwise autogen also runs ./configure
NOCONFIGURE=1 ./autogen.sh


%build
%configure2_5x
%make


%install
%make_install


%files
%doc AUTHORS HACKING README
%doc %{_mandir}/man8/storaged.8.*
%{_unitdir}/storaged.service
%{_libdir}/%{name}
%{_sysconfdir}/dbus-1/system.d/com.redhat.storaged.conf
%{_datadir}/dbus-1/interfaces/com.redhat.lvm2.xml
%{_datadir}/dbus-1/system-services/com.redhat.storaged.service
%{_datadir}/polkit-1/actions/com.redhat.lvm2.policy


%post
%_post_service storaged

%preun
%_preun_service storaged




%changelog
* Fri Jan 22 2016 daviddavid <daviddavid> 0.3.0-4.mga6
+ Revision: 926449
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 746357
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 689552
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 0.3.0-1.mga5
+ Revision: 669570
- New version: 0.3.0

* Tue Feb 11 2014 colin <colin> 0.2.0-1.mga5
+ Revision: 589299
- Add BR for xsltproc
- Imported package storaged from Fedora


* Fri Jan 31 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2.0-1
- Update to upstream 0.2.0

* Thu Jan 16 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.1.0-2
- Removed double systemd BuildRequire
- Rewritten summary and description

* Sun Jan 12 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.1.0-1
- Rename from udisks2-lvm
